{% extends '::base.html.twig' %}

{% block title %}Reportes | ventas{% endblock title %}

{% form_theme searchForm '::Forms/bootstrapForm.html.twig' %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/style_reportes.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/icons.css') }}">
	<style type="text/css">
		#ventasUsuario
		{
			background-color: #fff;
		}
		#ventasUsuario td.complex
		{
			padding: 0 !important;
		}
		#ventasUsuario div
		{
			/*border-bottom: 1px solid #000;*/
		}
		#ventasUsuario td.cantidad
		{
			width: 20px;
		}
		#ventasUsuario td.producto
		{
			width: 250px;
		}
		#ventasUsuario td.subtotal
		{
			width: 75px;
		}
		#ventasUsuario tr.detalle
		{
			border-bottom: 1px solid #000;
		}
	</style>
{% endblock %}

{% block body %}
<div class="container generalContainer" id="pf_opmenu">
	{{ form(searchForm) }}
	<table class="table table-bordered table-striped table-condensed" id="ventasUsuario">
		<thead class="head_table">
			<tr>
				<th>No.</th>
				<th>Usuario</th>
				<th>PedidoSAP</th>
				<th>DID</th>
				<th>Oficina</th>
				<th>Tipo de Pago</th>
				<th>Fecha</th>
				<th>Cliente</th>
				<th>Teléfono</th>
				<th>Estatus</th>
				<th>Fecha Cobro</th>
				<th>Productos</th>
				<th>Detalle</th>
			</tr>
		</thead>
		<tbody>
			{% for entity in entities %}
			{% set rows = (entity.productos|length) + 1 %}
			<tr>
				<td>{{ entity.idPedido }}</td>
				<td>{{ entity.usuario.uClave }}</td>
				<td>{{ entity.pedidoSAP }}</td>
				<td>{{ entity.dnis }}</td>
				<td>{{ entity.productos[0].productoPrecio.oficinaVenta.descripcion }}</td>
				<td>{{ entity.pago.descripcion }}</td>
				<td>{{ entity.fecha |date('Y/m/d H:i:s') }}</td>
				<td>{{ entity.cliente }}</td>
				<td>{{ entity.telefono }}</td>
				<td>{{ entity.estatus.descripcion }}</td>
				<td>{% for cobro in entity.cobros if cobro.respuesta.idTipoRespuesta == 1 %}
					{{ cobro.fechaCobro |date('Y/m/d H:i:s') }}
					{% endfor %}</td>
				<td class="complex">
					<table>
				{%  for detalle in entity.productos %}
						<tr class="detalle">
							<td class="cantidad">{{ detalle.cantidad }}</td>
							<td class="producto">{{ detalle.productoPrecio.materialPrecio~' '~detalle.productoPrecio.producto.descripcion }}</td>
							<td class="subtotal">$ {{ (detalle.cantidad * detalle.productoPrecio.precio)|number_format(2, '.', ',') }}</td>
						</tr>
				{% endfor %}
				{%  for descuento in entity.descuentos %}
					<tr class="detalle">
						<td class="cantidad">{{ 1 }}</td>
						<td class="producto">Descuento {{ descuento.clave }}</td>
						<td class="subtotal">$ {{ descuento.importe|number_format(2, '.', ',') }}</td>
					</tr>
				{% endfor %}
					<tr class="detalle">
						<td class="cantidad">&nbsp</td>
						<td class="producto">Gastos de envío</td>
						<td class="subtotal">$ {{ entity.gastosEnvio.precio|number_format(2, '.', ',') }}</td>
					</tr>
					</table>
				</td>
				<td><button type="button" class="btn btn-success" id="btn_cobro" onclick="showDtl('{{ entity.idPedido }}')"><span class="icon-file"></span></button></td>
			</tr>
			{% endfor %}
		</tbody>
	</table>

<!--POPUP detalle del pedido -->
<div class="modal fade modal_base" id="popup_up_detalle" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h3 class="modal-title" >Detalle del pedido<h3>
      </div>
      <div class="modal-body" id="body_detalle" >
      	<div style="text-align: center;width:100%;">
      		<img src="{{ asset('vendor/img/bubbles_load.gif') }}" id="loading_dtl">
      		</br>
      		<h3>Cargando información...</h3>      		
      	</div>
      </div>
      <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>


</div>
{% endblock body %}

{% block javascripts %}
<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
<script type="text/javascript">  
  $(document).ready(function() {
    $('#ventasUsuario').dataTable( { "language": DataTables.languaje.es });
    
	$( "select" ).addClass( "form-control" );
	$( "input[type='text']" ).addClass( "form-control" );
	$( "input[type='search']").addClass( "form-control" );
	$( "#ventasUsuario_length" ).addClass( "form-inline" );
	$( "#ventasUsuario_filter" ).addClass( "form-inline" );
} );

    $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    //validar fechas	
	function vd_date(){
		
		var date1 = createdate($('#form_fechaInicio').val());
		var date2 = createdate($('#form_fechaFin').val());

		if (date1 <= date2) {
			$('#form_Buscar').attr("disabled", false);			
		}else if (date1 > date2){
			alert("La fecha de fin no puede ser una fecha anterior a la fecha de Inicio");
			$('#form_Buscar').attr("disabled", true);	
		}

	}


						
</script>


<script type="text/template" id='previewBodyTemplate'>	
	<div class="panel panel-default">
  		<div class="panel-body">
  			<div><b>Cliente: </b><span class="cliente"><%= cliente.toString %></span></div>
			<div><b>Dirección: </b><%= direccion.toString %></div>
			<div><b>Referencia: </b><%= direccion.referencia %></div>
			<div><b>Telefonos Casa: </b><%= direccion.telCasa %>&nbsp;&nbsp;&nbsp;<b>Oficina: </b><%= direccion.telOficina %>&nbsp;&nbsp;&nbsp;<b>Celular: </b><%= direccion.telCel %></div>
  		</div>
	</div>
	<table class="table table-bordered">
		<thead>
			<tr>
				<th>Cantidad</th>
				<th>Descripción</th>
				<th>Promocion</th>
				<th>PU</th>
				<th>Total</th>
			</tr>
		</thead>
		<tbody>
			<% _.each(productos ,function(item, key){ %>
	        	<tr>
	        		<td><%= item.cantidad %></td>
	        		<td><%= item.productoPrecio.producto.descripcion %></td>
	        		<td><%= item.productoPrecio.materialPrecio %></td>
	        		<td>$ <%= item.productoPrecio.precio %></td>
	        		<td>$ <%= parseFloat(item.productoPrecio.precio * item.cantidad) %></td>
	        	</tr>
			<% }); %>
	        <tr>
				<td colspan="3" rowspan="4"></td>
				<td>SubTotal</td>
				<td>$ <%= parseFloat(subTotal) %></td>
			</tr>
			<tr>
				<td>Descuento</td>
				<%	if(descuentos.length > 0){ %>
					<td><b>$ <%= parseFloat(descuentos[0].importe) %></b></td>
				<% }else{ %>			
					<td><b>$ 0.0</b></td>
				<% } %>
			</tr>
			<tr>
				<td>Envío</td>
				<td>$ <%= parseFloat(gastosEnvio.precio) %></td>
			</tr>
			<tr>
				<td>Total</td>
				<td><b>$ <%= parseFloat(totalPago) %></b></td>
			</tr>
		</tbody>
	</table>
	<div class="row">
		<div class="col-xs-4"><b>Tipo de pago: </b><%= pago.descripcion %></div>
	</div>
	<% if(pago.idTipoPago == 1){ %>
	<div class="panel panel-default">
  		<div class="panel-body">
			<div class="row">
				<div class="col-xs-9"><b>Titular: </b><%= pagosTarjeta[0].titular %></div>
				<div class="col-xs-3"><b>Es Titular: </b><%= pagosTarjeta[0].esTitular == 1 ? "Sí" : "No" %></div>
			</div>
			<div class="row">
				<div class="col-xs-6"><b>No. Tarjeta: </b><%= pagosTarjeta[0].numeroTarjeta.substr(0,6) %>XXXXXXX<%= pagosTarjeta[0].numeroTarjeta.substr(13,15) %></div>
				<div class="col-xs-3"><b>Vigencia: </b><%= pagosTarjeta[0].vigencia.date.substr(0,6) %></div>
				<div class="col-xs-3"><b>Código: </b>XXXX</div>
			</div>
			<div class="row">
				<div class="col-xs-4"><b>Tipo: </b><%= pagosTarjeta[0].tipoTarjeta.descripcion %></div>
				<div class="col-xs-4"><b>Banco: </b><%= pagosTarjeta[0].banco.nombre %></div>
				<div class="col-xs-4"><b>Promoción: </b><%= pagosTarjeta[0].promocion.descripcion %></div>
			</div>
		</div>
	</div>
	<div class="panel panel-danger">
	  <div class="panel-heading">Intentos de Cobro</div>

	  <div style="width:100%;overflow-y: scroll;height: 200px;">
		  <table class="table table-bordered" id="logerrors">
		  		<thead>
		  			<th>Fecha</th>
		  			<th>Comentario</th>
		  			<th># Autorización</th>
		  		</thead>
		  		<tbody>
		  		<% 	if(productos.length == 1){
		  				_.each(cobros ,function(item, key){ %>
		        	<tr>
		        		<td><%= item.fechaCobroGregorian %></td>
		        		<td><%= item.comentarios%></td>
		        		<td><%= item.numeroAutorizacion%></td>
		        	</tr>
				<% });
					}else{ %>

				<%}%>
				</tbody>	
		  </table>
	  </div>
	</div>

	<% } %>

</script>


<script>
var detalles_pedidocrm;
	function showDtl(pedido){
	showLoading("Cargando Datos");
	var idPedido = pedido;
		loaddetalles(idPedido,function(res){
				if(res.estatus == 1){
					hideLoading();
					detalles_pedidocrm = res.detalle[0];
					var template = _.template(document.getElementById("previewBodyTemplate").textContent);
				    var html_info = template(res.detalle[0]);
				    $("#popup_up_detalle").modal("show");
					$("#body_detalle").html(html_info);
				}else{
					hideLoading();
					alert(res.detalle);
				}
		});	


		
	}

	function loaddetalles(idPedido,callback){

		$.post("../../detallepedidoJSON",{
				idPedido:idPedido
			},function(respuesta){
			var res = respuesta;
				callback(res);
			});

	}


</script>
{% endblock javascripts %}